<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacegg.html">gg</a></li><li class="navelem"><a class="el" href="classgg_1_1Box.html">Box</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle"><div class="title">gg::Box Member List</div></div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classgg_1_1Box.html">gg::Box</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classgg_1_1Box.html#a12f486950dec8ba2392cb7e84c248341">Align</a>()=0</td><td class="entry"><a class="el" href="classgg_1_1Box.html">gg::Box</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">pure virtual</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classgg_1_1SceneNode.html#a815218ded6a13ff207bfa773027cd07a">AppendChild</a>(SceneNode *)</td><td class="entry"><a class="el" href="classgg_1_1SceneNode.html">gg::SceneNode</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classgg_1_1SceneNode.html#a61b417a1ca6289c8b2114c9f5035b3a9">ApplyDesign</a>()</td><td class="entry"><a class="el" href="classgg_1_1SceneNode.html">gg::SceneNode</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classgg_1_1SceneNode.html#a59ce959ea6f6445359a9e4c72da163ef">ApplyStyle</a>()</td><td class="entry"><a class="el" href="classgg_1_1SceneNode.html">gg::SceneNode</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classgg_1_1Box.html#ac8d8d4980008f157dcb1383c7ce5366a">Box</a>(const Attributes &amp;)</td><td class="entry"><a class="el" href="classgg_1_1Box.html">gg::Box</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classgg_1_1Box.html#abf0376ad8f0a66a44a6456d878706c43">CalculateSize</a>()=0</td><td class="entry"><a class="el" href="classgg_1_1Box.html">gg::Box</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">pure virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classgg_1_1SceneNode.html#a0d7aa6562bcf0dbe1fe83d571c61f8fc">ContainsPoint</a>(const sf::Vector2f &amp;) -&gt; bool</td><td class="entry"><a class="el" href="classgg_1_1SceneNode.html">gg::SceneNode</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classgg_1_1Box.html#a3f38d7040b594ba8b50a2eb68fca1489">draw</a>(sf::RenderTarget &amp;target, sf::RenderStates states) const override</td><td class="entry"><a class="el" href="classgg_1_1Box.html">gg::Box</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classgg_1_1SceneNode.html#a4de32c7bf5edd96622c9170bdfe68902">GetChildren</a>() -&gt; std::vector&lt; SceneNode * &gt;</td><td class="entry"><a class="el" href="classgg_1_1SceneNode.html">gg::SceneNode</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classgg_1_1SceneNode.html#adbeb256248e14d3cca859cc769397752">GetID</a>() const -&gt; const std::string &amp;</td><td class="entry"><a class="el" href="classgg_1_1SceneNode.html">gg::SceneNode</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classgg_1_1SceneNode.html#a88a3c48db58215800a8d966716b1e66d">GetInsidePosition</a>() const -&gt; const sf::Vector2f &amp;</td><td class="entry"><a class="el" href="classgg_1_1SceneNode.html">gg::SceneNode</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classgg_1_1SceneNode.html#a29308c092ca2dac7260d5b3ad3f58569">GetInsideSize</a>() const -&gt; const sf::Vector2f &amp;</td><td class="entry"><a class="el" href="classgg_1_1SceneNode.html">gg::SceneNode</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classgg_1_1SceneNode.html#a92215060ea01f924ac43bdc2e02d8495">GetName</a>() const -&gt; const std::string &amp;</td><td class="entry"><a class="el" href="classgg_1_1SceneNode.html">gg::SceneNode</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classgg_1_1SceneNode.html#a58c816db57bb5c6a1e9e42887d07c98c">GetOutsidePosition</a>() const -&gt; const sf::Vector2f &amp;</td><td class="entry"><a class="el" href="classgg_1_1SceneNode.html">gg::SceneNode</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classgg_1_1SceneNode.html#a368dbe4cad813f71cd710174c69cb339">GetOutsideSize</a>() const -&gt; const sf::Vector2f &amp;</td><td class="entry"><a class="el" href="classgg_1_1SceneNode.html">gg::SceneNode</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classgg_1_1SceneNode.html#a0776302fef90cb2f0aabd1f3045c5dd7">GetParent</a>() -&gt; SceneNode *</td><td class="entry"><a class="el" href="classgg_1_1SceneNode.html">gg::SceneNode</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classgg_1_1SceneNode.html#a2a8a9bb996c1610f0cf41274bb5e8864">GetScene</a>() -&gt; Scene *</td><td class="entry"><a class="el" href="classgg_1_1SceneNode.html">gg::SceneNode</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classgg_1_1SceneNode.html#a2db4f25adaf0c8dd50310ac9bfc0bac5">IsDirty</a>() const -&gt; bool</td><td class="entry"><a class="el" href="classgg_1_1SceneNode.html">gg::SceneNode</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classgg_1_1SceneNode.html#a082408f997345f8d99a05a561425a0de">IsRoot</a>() const -&gt; const bool</td><td class="entry"><a class="el" href="classgg_1_1SceneNode.html">gg::SceneNode</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classgg_1_1SceneNode.html#a5fd91acc7dfee4a78fa6735fbbbdb069">mBackground</a></td><td class="entry"><a class="el" href="classgg_1_1SceneNode.html">gg::SceneNode</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classgg_1_1SceneNode.html#ab4e558e69099c74916257273cf7b9959">mChildren</a></td><td class="entry"><a class="el" href="classgg_1_1SceneNode.html">gg::SceneNode</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classgg_1_1Box.html#a31a98627cbfea1e07d005e0990cfc8d4">mHorizontalAlignment</a></td><td class="entry"><a class="el" href="classgg_1_1Box.html">gg::Box</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classgg_1_1SceneNode.html#ad5e5e7e8ac4efd83145012867ce1544a">mId</a></td><td class="entry"><a class="el" href="classgg_1_1SceneNode.html">gg::SceneNode</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classgg_1_1SceneNode.html#a77dbd39b4f780c37222bd987f416d6bd">mInsideArea</a></td><td class="entry"><a class="el" href="classgg_1_1SceneNode.html">gg::SceneNode</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classgg_1_1SceneNode.html#ac8186eaf3fb16c6945f4e858f1037f0e">mInsidePosition</a></td><td class="entry"><a class="el" href="classgg_1_1SceneNode.html">gg::SceneNode</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classgg_1_1SceneNode.html#a3105d8db96089c8444bc1fa394644398">mInsideSize</a></td><td class="entry"><a class="el" href="classgg_1_1SceneNode.html">gg::SceneNode</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classgg_1_1Box.html#a2faf2b2c38e1fcad32864d6508341c1f">mMargins</a></td><td class="entry"><a class="el" href="classgg_1_1Box.html">gg::Box</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classgg_1_1SceneNode.html#a668a995dbb9bd8a6be5d433099ab6af1">mName</a></td><td class="entry"><a class="el" href="classgg_1_1SceneNode.html">gg::SceneNode</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classgg_1_1SceneNode.html#aff8682d270c2b28289bda70793f9b41f">mOutsideArea</a></td><td class="entry"><a class="el" href="classgg_1_1SceneNode.html">gg::SceneNode</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classgg_1_1SceneNode.html#a6c0129d2515fcd9ada82b4069c3956c4">mOutsidePosition</a></td><td class="entry"><a class="el" href="classgg_1_1SceneNode.html">gg::SceneNode</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classgg_1_1SceneNode.html#a352be9f386f6fe02548f0e0ade519b45">mOutsideSize</a></td><td class="entry"><a class="el" href="classgg_1_1SceneNode.html">gg::SceneNode</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classgg_1_1SceneNode.html#a4592b1592949eea0ec9c9cf4a6afbe70">mPadding</a></td><td class="entry"><a class="el" href="classgg_1_1SceneNode.html">gg::SceneNode</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classgg_1_1SceneNode.html#aaef957115bc1c6ef4aea8b1782efe618">mParent</a></td><td class="entry"><a class="el" href="classgg_1_1SceneNode.html">gg::SceneNode</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classgg_1_1SceneNode.html#a4b8f27aaf7cb98202b7987ee8cdc5cd7">mRoot</a></td><td class="entry"><a class="el" href="classgg_1_1SceneNode.html">gg::SceneNode</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classgg_1_1SceneNode.html#a0e2482547e62201c6538d96a3d2ea023">mScene</a></td><td class="entry"><a class="el" href="classgg_1_1SceneNode.html">gg::SceneNode</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classgg_1_1Box.html#a3b32fb3eca95ea16a4284a8ffb30e10a">mSpacing</a></td><td class="entry"><a class="el" href="classgg_1_1Box.html">gg::Box</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classgg_1_1SceneNode.html#a93387c53dd7f5bea4896718fe8f1d853">mStyle</a></td><td class="entry"><a class="el" href="classgg_1_1SceneNode.html">gg::SceneNode</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classgg_1_1SceneNode.html#af8d52d7d0aae7eccfe1243a6edaee8a7">mText</a></td><td class="entry"><a class="el" href="classgg_1_1SceneNode.html">gg::SceneNode</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classgg_1_1SceneNode.html#a02ad61ca009af2383068317d8999e5f0">mToggleGroup</a></td><td class="entry"><a class="el" href="classgg_1_1SceneNode.html">gg::SceneNode</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classgg_1_1Box.html#a845cb0d85489c9d806e98e010fdfec50">mVerticalAlignment</a></td><td class="entry"><a class="el" href="classgg_1_1Box.html">gg::Box</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classgg_1_1SceneNode.html#a537d14acb0810c7615d8b24541044b29">RemoveChild</a>(SceneNode *)</td><td class="entry"><a class="el" href="classgg_1_1SceneNode.html">gg::SceneNode</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classgg_1_1SceneNode.html#afe943f9c7fe571d70a1c82a007475e89">Render</a>(sf::RenderTarget &amp;, sf::RenderStates) const</td><td class="entry"><a class="el" href="classgg_1_1SceneNode.html">gg::SceneNode</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classgg_1_1SceneNode.html#a380916fcbdc0afb4ae68a66227faec01">ResetDirty</a>()</td><td class="entry"><a class="el" href="classgg_1_1SceneNode.html">gg::SceneNode</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classgg_1_1SceneNode.html#a85a355c9072099675bf4a8ca00dc0635">SceneNode</a>(const Attributes &amp;attributes, const bool root=false)</td><td class="entry"><a class="el" href="classgg_1_1SceneNode.html">gg::SceneNode</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classgg_1_1SceneNode.html#a035abba4248c4efc94da258fd6d54686">SetDirty</a>()</td><td class="entry"><a class="el" href="classgg_1_1SceneNode.html">gg::SceneNode</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classgg_1_1Box.html#ad2dd0441ce5ee92584feea0458b3f300">SetHAlignment</a>(const HAlignment &amp;)</td><td class="entry"><a class="el" href="classgg_1_1Box.html">gg::Box</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classgg_1_1SceneNode.html#a3fddc76f0a1f636a1d4e651c5ac7e647">SetID</a>(const std::string &amp;)</td><td class="entry"><a class="el" href="classgg_1_1SceneNode.html">gg::SceneNode</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classgg_1_1SceneNode.html#ab7d26c1d9eca413929a7b46d1975ecca">SetInsidePosition</a>(const sf::Vector2f &amp;)</td><td class="entry"><a class="el" href="classgg_1_1SceneNode.html">gg::SceneNode</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classgg_1_1SceneNode.html#a6060165707afd72f5313548cb92ae81e">SetInsideSize</a>(const sf::Vector2f &amp;)</td><td class="entry"><a class="el" href="classgg_1_1SceneNode.html">gg::SceneNode</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classgg_1_1Box.html#ae8a633bb990cb6ffb570132795b2f59d">SetMargins</a>(const struct Margins &amp;)</td><td class="entry"><a class="el" href="classgg_1_1Box.html">gg::Box</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classgg_1_1SceneNode.html#a46fbfc7cb2cd115ecc33a0001b5caa79">SetName</a>(const std::string &amp;)</td><td class="entry"><a class="el" href="classgg_1_1SceneNode.html">gg::SceneNode</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classgg_1_1SceneNode.html#ad20a4313079c8fc88db803db9742bb52">SetOutsidePosition</a>(const sf::Vector2f &amp;)</td><td class="entry"><a class="el" href="classgg_1_1SceneNode.html">gg::SceneNode</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classgg_1_1SceneNode.html#a3f597bd0d3cdae19a4abe961cfb92a91">SetOutsideSize</a>(const sf::Vector2f &amp;)</td><td class="entry"><a class="el" href="classgg_1_1SceneNode.html">gg::SceneNode</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classgg_1_1SceneNode.html#ade1c015b4ad1d134a6ac9b74ea67ac26">SetParent</a>(SceneNode *)</td><td class="entry"><a class="el" href="classgg_1_1SceneNode.html">gg::SceneNode</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classgg_1_1SceneNode.html#a3bfaf6ab0f3690bf75e1142fc6b574a9">SetRoot</a>(bool)</td><td class="entry"><a class="el" href="classgg_1_1SceneNode.html">gg::SceneNode</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classgg_1_1SceneNode.html#abb3579a1294b90d74ae0e9a0f5cc8de1">SetScene</a>(Scene *)</td><td class="entry"><a class="el" href="classgg_1_1SceneNode.html">gg::SceneNode</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classgg_1_1Box.html#ab3e3865aa6696fa6a0d2605c0468cd4d">SetSpacing</a>(float)</td><td class="entry"><a class="el" href="classgg_1_1Box.html">gg::Box</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classgg_1_1SceneNode.html#a57cce9f483099d73b21dbfc6c58eafc2">SetToggleGroup</a>()</td><td class="entry"><a class="el" href="classgg_1_1SceneNode.html">gg::SceneNode</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classgg_1_1Box.html#aa51ab4d6d5a167a5cf2b47282c425987">SetVAlignment</a>(const VAlignment &amp;)</td><td class="entry"><a class="el" href="classgg_1_1Box.html">gg::Box</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classgg_1_1SceneNode.html#ae8b7c84938aad84a8d2c2d63918be70a">Update</a>()</td><td class="entry"><a class="el" href="classgg_1_1SceneNode.html">gg::SceneNode</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classgg_1_1Box.html#a64e0d505df7a967deb758ded99722920">UpdateAlignment</a>() override</td><td class="entry"><a class="el" href="classgg_1_1Box.html">gg::Box</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classgg_1_1SceneNode.html#a4fc688d4d843ccad6534ca8c401f3e2e">UpdateDesign</a>()</td><td class="entry"><a class="el" href="classgg_1_1SceneNode.html">gg::SceneNode</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classgg_1_1Box.html#aa922ac30a375d9bf759da5d3c302947b">UpdateSize</a>() override</td><td class="entry"><a class="el" href="classgg_1_1Box.html">gg::Box</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classgg_1_1SceneNode.html#a694c7abbe5a5d06bed9f7c4e5f5d2986">UpdateStyle</a>()</td><td class="entry"><a class="el" href="classgg_1_1SceneNode.html">gg::SceneNode</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classgg_1_1Box.html#aa0bb2bb7a0fcaa6cdd6a17198a354d32">~Box</a>() override=default</td><td class="entry"><a class="el" href="classgg_1_1Box.html">gg::Box</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classgg_1_1SceneNode.html#a2b386a4b1246cd13a553159420782f39">~SceneNode</a>() override</td><td class="entry"><a class="el" href="classgg_1_1SceneNode.html">gg::SceneNode</a></td><td class="entry"></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
